Subject: Linux-Activists - DOC Channel digest. 93-11-9-13:36
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Thu, 9 Dec 1993 17:58:46 +0200

Topics:
	 Re: One True Format?

----------------------------------------------------------------------

From: Mitchum DSouza <[email-masked]>
Subject: Re: One True Format?
Date: Thu, 9 Dec 1993 13:50:31 +0200

> Straw Poll: The ``One True Format''

....[stuff deleted].....

> 
> Specifically, comments on the following would be helpful:
> 	* General comments on OTF itself... good idea/bad idea? What about
> 	  my outlined goals? Is this at all feasable? (I think that it is.
> 	  In fact, OTF is designed to be easy to write in AND easy to 
> 	  parse by the machine.) 

Good idea ? yes !

> 	* What kinds of features do you want to see in a software documentation
> 	  markup language? I've already suggested sectioning commands,
> 	  cross-references, lists, and so on. Anything else?

Can't think of any off hand.
 
> 	* How should the markup language LOOK? I like using the LaTeX model,
> 	  because it is easy to parse AND easy for the author to understand. 
> 	  Of course, OTF will be significantly simpler than LaTeX. 

Hope so, Im not a LaTeX guru at all.
 
> 	* What kinds of target formats should we use? At first, I'd like to
> 	  aim for groff (it can produce printed docs as well as plain ASCII)
> 	  and texinfo. LaTeX should also be quite simple, as would be 
> 	  HTML/SGML.

Now we're talking my language. {g,t}roff I can handle (and offer my help here).
If you look at the doc for the shared library builder (tools-2.x.tar.gz) that
was done solely in groff and has postscript inclusions, tables etc and shows
the power of groff - however I don't want to start a war here, but just to say
that I can help in this area if needed.
 
Keep up the good work Matt

Mitch

------------------------------

End of DOC Digest
*****************
-------